<?php

namespace App\Http\Requests\Admin\Agency;

use App\Models\Agency;
use Illuminate\Foundation\Http\FormRequest;

class AgencyCreateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $rules = Agency::rules();
        $rules['image'] .= 'required';
        return $rules;
    }
}
